Loading...
Searching...
No Matches
NIFTI1_UNITS
NIFTI1_DATATYPES » NIFTI1_DATATYPE_ALIASES » NIFTI1_INTENT_CODES » NIFTI1_XFORM_CODES

nifti1 units codes to describe the unit of measurement for each dimension of the dataset More...

Collaboration diagram for NIFTI1_UNITS:

## Topics

| NIFTI1_SLICE_ORDER
| nifti1 slice order codes, describing the acquisition order of the slices

## Macros

#define | NIFTI_UNITS_UNKNOWN 0
#define | NIFTI_UNITS_METER 1
#define | NIFTI_UNITS_MM 2
#define | NIFTI_UNITS_MICRON 3
#define | NIFTI_UNITS_SEC 8
#define | NIFTI_UNITS_MSEC 16
#define | NIFTI_UNITS_USEC 24
#define | NIFTI_UNITS_HZ 32
#define | NIFTI_UNITS_PPM 40
#define | NIFTI_UNITS_RADS 48
#define | XYZT_TO_SPACE(xyzt)
#define | XYZT_TO_TIME(xyzt)
#define | SPACE_TIME_TO_XYZT(ss, tt)
#define | DIM_INFO_TO_FREQ_DIM(di)
#define | DIM_INFO_TO_PHASE_DIM(di)
#define | DIM_INFO_TO_SLICE_DIM(di)
#define | FPS_INTO_DIM_INFO(fd, pd, sd)

## Detailed Description

nifti1 units codes to describe the unit of measurement for each dimension of the dataset

## Macro Definition Documentation

## DIM_INFO_TO_FREQ_DIM

#define DIM_INFO_TO_FREQ_DIM | ( |  | di | ) |

Value:
( ((di) ) & 0x03 )

## DIM_INFO_TO_PHASE_DIM

#define DIM_INFO_TO_PHASE_DIM | ( |  | di | ) |

Value:
( ((di) >> 2) & 0x03 )

## DIM_INFO_TO_SLICE_DIM

#define DIM_INFO_TO_SLICE_DIM | ( |  | di | ) |

Value:
( ((di) >> 4) & 0x03 )

## FPS_INTO_DIM_INFO

#define FPS_INTO_DIM_INFO | ( |  | fd,
|  |  | pd,
|  |  | sd )

Value:
( ( ( ((char)(fd)) & 0x03) ) | \
( ( ((char)(pd)) & 0x03) << 2 ) | \
( ( ((char)(sd)) & 0x03) << 4 ) )

## NIFTI_UNITS_HZ

#define NIFTI_UNITS_HZ 32

NIFTI code for Hertz.

## NIFTI_UNITS_METER

#define NIFTI_UNITS_METER 1

Space codes are multiples of 1.

NIFTI code for meters.

## NIFTI_UNITS_MICRON

#define NIFTI_UNITS_MICRON 3

NIFTI code for micrometers.

## NIFTI_UNITS_MM

#define NIFTI_UNITS_MM 2

NIFTI code for millimeters.

## NIFTI_UNITS_MSEC

#define NIFTI_UNITS_MSEC 16

NIFTI code for milliseconds.

## NIFTI_UNITS_PPM

#define NIFTI_UNITS_PPM 40

NIFTI code for ppm.

## NIFTI_UNITS_RADS

#define NIFTI_UNITS_RADS 48

NIFTI code for radians per second.

## NIFTI_UNITS_SEC

#define NIFTI_UNITS_SEC 8

Time codes are multiples of 8.

NIFTI code for seconds.

## NIFTI_UNITS_UNKNOWN

#define NIFTI_UNITS_UNKNOWN 0

NIFTI code for unspecified units.

## NIFTI_UNITS_USEC

#define NIFTI_UNITS_USEC 24

NIFTI code for microseconds.

## SPACE_TIME_TO_XYZT

#define SPACE_TIME_TO_XYZT | ( |  | ss,
|  |  | tt )

Value:
( (((char)(ss)) & 0x07) \
| (((char)(tt)) & 0x38) )

## XYZT_TO_SPACE

#define XYZT_TO_SPACE | ( |  | xyzt | ) |

Value:
( (xyzt) & 0x07 )

## XYZT_TO_TIME

#define XYZT_TO_TIME | ( |  | xyzt | ) |

Value:
( (xyzt) & 0x38 )